Subject: RE: [Sip] Question on manyfolks 05

From: [email-masked]
Date: Thu, 7 Mar 2002 11:54:52 +0200

Hi,

> -----Original Message-----
> From: ext Christer Holmberg [mailto:[email-masked]]
> Sent: 07 March 2002 10:03
> To: Gonzalo Camarillo
> Cc: Chen, Xin (Xin); [email-masked]
> Subject: Re: [Sip] Question on manyfolks 05
> 
> 
> 
> Hi,
> 
> > >In section 11,
> > >
> > >None of the examples shows the PRACK/200 following the 
> INVITE/183 as a new
> > >offer/answer exchange, but I think this is allowed, am I right?
> >
> > The PRACK can carry an anwer. About a PRACK carrying an 
> offer, it should
> > not be done, because you would not have a way of refusing the offer
> > without refusing the PRACK itself.
> 
> Chapter 5 in 100rel says:
> 
> "If the UAC receives a reliable provisional response with an 
> answer, it MAY
> generate an
> additional offer in the PRACK. If the UAS receives a PRACK with an
> offer, it MUST place the answer in the 2xx to the PRACK."
> 
> "MAY" does not mean the same as "SHOULD NOT". Do we need a 
> change in the text?

I guess Xin's original question concerned the case when the initial INVITE contains an offer + Require:precondition. When sending the PRACK, the precondition has not been met yet, so the question is whether it is allowed to send a new offer in PRACK with Require:precondition.

BTW, can a reliable provisional response carry an offer and its PRACK the answer?
Here is the scenario. Instead of this:
<-------UPDATE (offer)
-------->200 OK (answer)
<-------180
-------->PRACK
<--------200 OK

this would be preferred:
<-------180 (offer)
-------->PRACK (answer)
<--------200 OK

Regards,
Krisztian Kiss
 
> However, IF the UAC receives a PRACK, with an offer it does 
> NOT accept, what
> about sending a 2xx response to the PRACK, and a 415 response 
> to the INVITE?
> Does it really matter if it refers to the session description 
> in the INVITE, or
> in the PRACK, since the session setup has failed?
> 
> Regards,
> 
> Christer Holmberg
> Ericsson Finland
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip